Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.utils
Class CertificateAttributes

    java.lang.Object
      net.aocat.psis.client.utils.CertificateAttributes

    public class CertificateAttributes

extends java.lang.Object

PSIS parsed certificate attributes.

Author:
  aalcaide

Field Summary
`static java.lang.String` | `Attribute` Attribute
`static java.lang.String` | `AuthorizingNotary` Notaries: authorizing notary
`private static java.lang.String` | `CATCertNotariesPrefix`
`private static java.lang.String` | `CATCertPrefix`
`private static java.lang.String` | `CATCertProfAsocPrefix`
`static java.lang.String` | `CertificatePolicies` Certificate policies
`static java.lang.String` | `CertificateType` Certificate Type
`static java.lang.String` | `ClassificationLevel` Classification level
`static java.lang.String` | `Department` Department
`static java.lang.String` | `EntitlementsRegistryLocationData` Notaries: entitlements registry location data
`static java.lang.String` | `Extension` Extension
`static java.lang.String` | `issuerCA` Issuer Certificate Authority
`static java.lang.String` | `IssuerDistinguishedName` Issuer Distinguished Name
`static java.lang.String` | `IssuerDistinguishedName_commonName` Issuer Distinguished Name: common name
`static java.lang.String` | `KeyOwnerNIF` Key owner NIF
`static java.lang.String` | `KeyUsages` Key usages
`static java.lang.String` | `LegalDocumentType` Legal document type
`static java.lang.String` | `LegalEntityCIF` Legal entity CIF
`static java.lang.String` | `LegalEntityGlobalCIF` Legal entity global CIF
`static java.lang.String` | `NotAfter` Certificate's expiration date
`static java.lang.String` | `NotBefore` Certificate's issue date
`static java.lang.String` | `ProfessionalAssociationCIF` Professional association: CIF
`static java.lang.String` | `ProfessionalAssociationEmployeeNumber` Professional association: employee number
`static java.lang.String` | `ProfessionalAssociationInitials` Professional association: initials
`static java.lang.String` | `ProfessionalAssociationName` Professional association: name
`static java.lang.String` | `ProfessionalAssociationNumber` Professional association: number
`static java.lang.String` | `ProfessionalAssociationZone` Professional association: zone
`static java.lang.String` | `QualitativeUsageLimitations` Qualitative usage limitations
`static java.lang.String` | `QuantitativeUsageLimitations` Quantitative usage limitations
`static java.lang.String` | `RepresentationDocumentLocationData` Notaries: representation document location data
`static java.lang.String` | `SerialNumber` Serial Number
`static java.lang.String` | `Signature` Signature
`static java.lang.String` | `SignatureAlgorithm` Signature algorithm
`static java.lang.String` | `SubjectDistinguishedName` Subject Distinguished Name
`static java.lang.String` | `SubjectDistinguishedName_commonName` Subject Distinguished Name: common name
`static java.lang.String` | `SubjectDistinguishedName_countryName` Subject Distinguished Name: country
`static java.lang.String` | `SubjectDistinguishedName_givenName` Subject Distinguished Name: given name
`static java.lang.String` | `SubjectDistinguishedName_organizationName` Subject Distinguished Name: organization name
`static java.lang.String` | `SubjectDistinguishedName_organizationUnitName` Subject Distinguished Name: organization unit name
`static java.lang.String` | `SubjectDistinguishedName_serialNumber` Subject Distinguished Name: serial number
`static java.lang.String` | `SubjectDistinguishedName_stateOrProvinceName` Subject Distinguished Name: state or province
`static java.lang.String` | `SubjectDistinguishedName_surname` Subject Distinguished Name: surname
`static java.lang.String` | `SubjectDistinguishedName_title` Subject Distinguished Name: title
`static java.lang.String` | `SubjectEmail` Subject e-mail
`static java.lang.String` | `SubjectName` Subject name
`static java.lang.String` | `SubjectPublicKey` Subject public key
`static java.lang.String` | `SubjectPublicKeyAlgorithm` Subject public key algorithm
`static java.lang.String` | `Title` Title
`static java.lang.String` | `Version` Version
`static java.lang.String` | `VinculatedCompanyCIF` Vinculated company: CIF
`static java.lang.String` | `VinculatedCompanyName` Vinculated company: name
`static java.lang.String` | `VinculatedPersonFullName` Vinculated person: full name
`static java.lang.String` | `VinculatedPersonName` Vinculated person: name
`static java.lang.String` | `VinculatedPersonNIForNIE` Vinculated person: NIF or NIE
`static java.lang.String` | `VinculatedPersonSurname` Vinculated person: surname
`private static java.lang.String` | `XSSPrefix`

Constructor Summary
`CertificateAttributes()`

Method Summary
`static java.util.List<java.lang.String>` | `getAllAttributes()` Returns a list with all the attributes.
`static java.util.List<java.lang.String>` | `getCATCertNotariesSpecificAttributes()` Returns a list with the CatCert Notaries specific attributes.
`static java.util.List<java.lang.String>` | `getCATCertProfAsocSpecificAttributes()` Returns a list with the CatCert Professional Associations specific attributes.
`static java.util.List<java.lang.String>` | `getCATCertSpecificAttributes()` Returns a list with the CatCert specific attributes.
`static java.util.List<java.lang.String>` | `getGenericAttributes()` Returns a list with the allways expected attributes.
`static java.util.List<java.lang.String>` | `getSomeImportantAttributes()` Returns a list with some of the most required attributes.
`static java.util.HashMap<java.lang.String,java.lang.String>` | `initAttrsHM()` Builds a HashMap containing translated meaningful attributes descriptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSSPrefix

    private static java.lang.String XSSPrefix

### CATCertPrefix

    private static java.lang.String CATCertPrefix

### CATCertProfAsocPrefix

    private static java.lang.String CATCertProfAsocPrefix

### CATCertNotariesPrefix

    private static java.lang.String CATCertNotariesPrefix

### Version

    public static java.lang.String Version

  Version

### SerialNumber

    public static java.lang.String SerialNumber

  Serial Number

### Signature

    public static java.lang.String Signature

  Signature

### SignatureAlgorithm

    public static java.lang.String SignatureAlgorithm

  Signature algorithm

### IssuerDistinguishedName

    public static java.lang.String IssuerDistinguishedName

  Issuer Distinguished Name

### SubjectDistinguishedName

    public static java.lang.String SubjectDistinguishedName

  Subject Distinguished Name

### NotBefore

    public static java.lang.String NotBefore

  Certificate's issue date

### NotAfter

    public static java.lang.String NotAfter

  Certificate's expiration date

### SubjectPublicKeyAlgorithm

    public static java.lang.String SubjectPublicKeyAlgorithm

  Subject public key algorithm

### SubjectPublicKey

    public static java.lang.String SubjectPublicKey

  Subject public key

### Extension

    public static java.lang.String Extension

  Extension

### IssuerDistinguishedName_commonName

    public static java.lang.String IssuerDistinguishedName_commonName

  Issuer Distinguished Name: common name

### SubjectEmail

    public static java.lang.String SubjectEmail

  Subject e-mail

### CertificatePolicies

    public static java.lang.String CertificatePolicies

  Certificate policies

### KeyUsages

    public static java.lang.String KeyUsages

  Key usages

### SubjectDistinguishedName_serialNumber

    public static java.lang.String SubjectDistinguishedName_serialNumber

  Subject Distinguished Name: serial number

### SubjectDistinguishedName_commonName

    public static java.lang.String SubjectDistinguishedName_commonName

  Subject Distinguished Name: common name

### SubjectDistinguishedName_givenName

    public static java.lang.String SubjectDistinguishedName_givenName

  Subject Distinguished Name: given name

### SubjectDistinguishedName_surname

    public static java.lang.String SubjectDistinguishedName_surname

  Subject Distinguished Name: surname

### SubjectDistinguishedName_title

    public static java.lang.String SubjectDistinguishedName_title

  Subject Distinguished Name: title

### SubjectDistinguishedName_organizationName

    public static java.lang.String SubjectDistinguishedName_organizationName

  Subject Distinguished Name: organization name

### SubjectDistinguishedName_organizationUnitName

    public static java.lang.String SubjectDistinguishedName_organizationUnitName

  Subject Distinguished Name: organization unit name

### SubjectDistinguishedName_countryName

    public static java.lang.String SubjectDistinguishedName_countryName

  Subject Distinguished Name: country

### SubjectDistinguishedName_stateOrProvinceName

    public static java.lang.String SubjectDistinguishedName_stateOrProvinceName

  Subject Distinguished Name: state or province

### KeyOwnerNIF

    public static java.lang.String KeyOwnerNIF

  Key owner NIF

### LegalEntityCIF

    public static java.lang.String LegalEntityCIF

  Legal entity CIF

### LegalEntityGlobalCIF

    public static java.lang.String LegalEntityGlobalCIF

  Legal entity global CIF

### Department

    public static java.lang.String Department

  Department

### SubjectName

    public static java.lang.String SubjectName

  Subject name

### QualitativeUsageLimitations

    public static java.lang.String QualitativeUsageLimitations

  Qualitative usage limitations

### QuantitativeUsageLimitations

    public static java.lang.String QuantitativeUsageLimitations

  Quantitative usage limitations

### ClassificationLevel

    public static java.lang.String ClassificationLevel

  Classification level

### Title

    public static java.lang.String Title

  Title

### Attribute

    public static java.lang.String Attribute

  Attribute

### VinculatedPersonFullName

    public static java.lang.String VinculatedPersonFullName

  Vinculated person: full name

### VinculatedPersonName

    public static java.lang.String VinculatedPersonName

  Vinculated person: name

### VinculatedPersonSurname

    public static java.lang.String VinculatedPersonSurname

  Vinculated person: surname

### VinculatedPersonNIForNIE

    public static java.lang.String VinculatedPersonNIForNIE

  Vinculated person: NIF or NIE

### VinculatedCompanyCIF

    public static java.lang.String VinculatedCompanyCIF

  Vinculated company: CIF

### VinculatedCompanyName

    public static java.lang.String VinculatedCompanyName

  Vinculated company: name

### issuerCA

    public static java.lang.String issuerCA

  Issuer Certificate Authority

### LegalDocumentType

    public static java.lang.String LegalDocumentType

  Legal document type

### CertificateType

    public static java.lang.String CertificateType

  Certificate Type

### ProfessionalAssociationName

    public static java.lang.String ProfessionalAssociationName

  Professional association: name

### ProfessionalAssociationInitials

    public static java.lang.String ProfessionalAssociationInitials

  Professional association: initials

### ProfessionalAssociationNumber

    public static java.lang.String ProfessionalAssociationNumber

  Professional association: number

### ProfessionalAssociationZone

    public static java.lang.String ProfessionalAssociationZone

  Professional association: zone

### ProfessionalAssociationEmployeeNumber

    public static java.lang.String ProfessionalAssociationEmployeeNumber

  Professional association: employee number

### ProfessionalAssociationCIF

    public static java.lang.String ProfessionalAssociationCIF

  Professional association: CIF

### AuthorizingNotary

    public static java.lang.String AuthorizingNotary

  Notaries: authorizing notary

### EntitlementsRegistryLocationData

    public static java.lang.String EntitlementsRegistryLocationData

  Notaries: entitlements registry location data

### RepresentationDocumentLocationData

    public static java.lang.String RepresentationDocumentLocationData

  Notaries: representation document location data

Constructor Detail

### CertificateAttributes

    public CertificateAttributes()

Method Detail

### initAttrsHM

    public static java.util.HashMap<java.lang.String,java.lang.String> initAttrsHM()

  Builds a HashMap containing translated meaningful attributes descriptions.

  Returns:
    HashMap containing translated meaningful attributes descriptions.

### getAllAttributes

    public static java.util.List<java.lang.String> getAllAttributes()

  Returns a list with all the attributes.

  Returns:
    list with all the attributes

### getGenericAttributes

    public static java.util.List<java.lang.String> getGenericAttributes()

  Returns a list with the allways expected attributes.

  Returns:
    list with the allways expected attributes

### getCATCertSpecificAttributes

    public static java.util.List<java.lang.String> getCATCertSpecificAttributes()

  Returns a list with the CatCert specific attributes.

  Returns:
    list with the CatCert specific attributes

### getCATCertProfAsocSpecificAttributes

    public static java.util.List<java.lang.String> getCATCertProfAsocSpecificAttributes()

  Returns a list with the CatCert Professional Associations specific attributes.

  Returns:
    list with the CatCert Professional Associations specific attributes

### getCATCertNotariesSpecificAttributes

    public static java.util.List<java.lang.String> getCATCertNotariesSpecificAttributes()

  Returns a list with the CatCert Notaries specific attributes.

  Returns:
    list with the CatCert Notaries specific attributes

### getSomeImportantAttributes

    public static java.util.List<java.lang.String> getSomeImportantAttributes()

  Returns a list with some of the most required attributes.

  Returns:
    list with attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD